﻿Imports System.Data
Imports System.Configuration
Imports System.Data.SqlClient
Partial Class DynamicPage
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        If Not Me.IsPostBack Then
            Me.PopulatePage()
        End If
    End Sub

    Private Sub PopulatePage()
        Dim pageName As String = Me.Page.RouteData.Values("PageName").ToString()
        Dim query As String = "SELECT [Title], [Content] FROM [Pages] WHERE [PageName] = @PageName"
        Dim conString As String = ConfigurationManager.ConnectionStrings("constr").ConnectionString
        Using con As New SqlConnection(conString)
            Using cmd As New SqlCommand(query)
                Using sda As New SqlDataAdapter()
                    cmd.Parameters.AddWithValue("@PageName", pageName)
                    cmd.Connection = con
                    sda.SelectCommand = cmd
                    Using dt As New DataTable()
                        sda.Fill(dt)
                        lblTitle.Text = dt.Rows(0)("Title").ToString()
                        lblContent.Text = dt.Rows(0)("Content").ToString()
                    End Using
                End Using
            End Using
        End Using
    End Sub
End Class
